> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-1-0/documentation/agents/agents-in-kubernetes/configuration-principle-for-the-connectware-agent-helm-chart.md).

# Configuration Principles for the connectware-agent Helm Chart

The `connectware-agent` Helm chart follows a configuration principle, in which settings can be defined for all configured agents comfortably using the `protocolMapperAgentDefaults` section of your `values.yaml` file.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgentDefaults:
  connectwareHost: connectware.cybus
  dataPlane:
    tls: true
```

{% endcode %}

All configuration specified inside this context is applied to all agents, unless you specifically override them on a per-agent basis.

In addition to `protocolMapperAgentDefaults` there is a section named `protocolMapperAgents`, which is a list of entries, each describing a single protocol-mapper agent. You can create an agent by setting its `name` value. Every other configuration parameter will be taken from `protocolMapperAgentDefaults` or default values.

To override `protocolMapperAgentDefaults` Helm values for an agent, set the same parameter to a different value inside the agents entry of the `protocolMapperAgents` context.

**Example**

{% code lineNumbers="true" %}

```yaml
protocolMapperAgentDefaults:
  connectwareHost: connectware.cybus
  dataPlane:
    tls: true
protocolMapperAgents:
  - name: bender-robots
  - name: welder-robots
    dataPlane:
      tls: false # unlike the other agents, this agent will not use TLS for MQTT
  - name: painting-robots
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-1-0/documentation/agents/agents-in-kubernetes/configuration-principle-for-the-connectware-agent-helm-chart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
